Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.websphere
Class WebsphereTransactedJmsMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.TransactedPollingMessageReceiver
                      org.mule.transport.jms.XaTransactedJmsMessageReceiver
                          org.mule.transport.jms.websphere.WebsphereTransactedJmsMessageReceiver

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

    public class WebsphereTransactedJmsMessageReceiver

extends XaTransactedJmsMessageReceiver

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.transport.jms.XaTransactedJmsMessageReceiver
`XaTransactedJmsMessageReceiver.JmsThreadContext, XaTransactedJmsMessageReceiver.ThreadContextLocal`

Nested classes/interfaces inherited from class org.mule.transport.TransactedPollingMessageReceiver
`TransactedPollingMessageReceiver.MessageProcessorWorker`

Field Summary

Fields inherited from class org.mule.transport.jms.XaTransactedJmsMessageReceiver
`connector, context, DEFAULT_JMS_POLL_FREQUENCY, DEFAULT_JMS_POLL_TIMEUNIT, reuseConsumer, reuseSession, timeout`

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`WebsphereTransactedJmsMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`

Methods inherited from class org.mule.transport.jms.XaTransactedJmsMessageReceiver
`closeResource, createConsumer, doDisconnect, doDispose, getMessages, poll, processMessage`

Methods inherited from class org.mule.transport.TransactedPollingMessageReceiver
`doStart, isReceiveMessagesInTransaction, isUseMultipleTransactedReceivers, setReceiveMessagesInTransaction, setUseMultipleTransactedReceivers`

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`createWork, disableNativeScheduling, doStop, getFrequency, getTimeUnit, schedule, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### WebsphereTransactedJmsMessageReceiver

    public WebsphereTransactedJmsMessageReceiver(Connector connector,
                                                 FlowConstruct flowConstruct,
                                                 InboundEndpoint endpoint)
                                          throws InitialisationException,
                                                 CreateException

Throws:
  `InitialisationException`
  `CreateException`

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `XaTransactedJmsMessageReceiver`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.